| Home | Libraries | People | FAQ | More

##### basic_serial_port::get_option (1 of 2 overloads)

Get an option from the serial port.

    template<
        typename GettableSerialPortOption>
    void get_option(
        GettableSerialPortOption & option);

This function is used to get the current value of an option on the serial port.

###### Parameters

option

  The option value to be obtained from the serial port.

###### Exceptions

boost::system::system_error

  Thrown on failure.